| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Public Member Functions | Properties | List of all members
VideoEncoder Class Reference

The VideoEncoder class is the base class of all Avidemux video encoders. More...

## Public Member Functions
void | resetConfiguration ()
| Resets the video encoder back to its default configuration.

## Properties
Object | configuration
| Gets an object that holds parameters used to configure the video encoder.
String | name
| Gets the user friendly name of the video encoder.

## Detailed Description

The VideoEncoder class is the base class of all Avidemux video encoders.

Depending on the plugins that are packaged with Avidemux, the following child video encoder objects may be available to the ECMA scripting engine:

- CopyVideoEncoder
- Ffflv1VideoEncoder
- Ffmpeg2VideoEncoder
- Ffmpeg4VideoEncoder
- HuffyuvVideoEncoder
- MjpegVideoEncoder
- NullVideoEncoder
- PngVideoEncoder
- X264VideoEncoder
- Xvid4VideoEncoder
- Yv12encoderVideoEncoder

Example usage:

Xvid4VideoEncoder.resetConfiguration();
Xvid4VideoEncoder.configuration.maxBFrame = 0;

## Member Function Documentation

void resetConfiguration | ( |  | ) |

Resets the video encoder back to its default configuration.

See Also
  configuration

## Property Documentation

Object configuration
| read

Gets an object that holds parameters used to configure the video encoder.

See Also
  resetConfiguration